import 'dart:convert';
import 'package:flutter_test/flutter_test.dart';
import 'package:http/http.dart';
import 'package:mofa_core/mofa_core.dart';
//import 'package:dio/dio.dart' as Dio;
import 'package:http/testing.dart';

void main() {
  test('adds one to input values', () {
    final calculator = Calculator();
    expect(calculator.addOne(2), 3);
    expect(calculator.addOne(-7), -6);
    expect(calculator.addOne(0), 1);
    expect(() => calculator.addOne(null), throwsNoSuchMethodError);
  });

  test('Test Call Login', () async {
    final calculator = Calculator();
    final response = await calculator.login();
    expect(response.data.toString(), '{"userId":"42574","code":0,"msg":"Login Success","user_created":true}');
  });

}
